Category: UI Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:    

Description

In #29027, I've proposed to add an collapse/expand feature to issue sections.

Below there are 2 proposals:

1. Collapse/expand only for the following sections: Description, Attachments (#29033), Subtasks and Relations.

 expand_collapse.png 

2. Collapse/expand also for the Attributes section (this one requires more UI changes):

 with_attributes.png 

Related issues:

Related to Redmine - Feature #29027: Add more structure to the issues view by... New

Related to Redmine - Feature #29321: Move the watchers list to issue section New

Related to Redmine - Feature #11988: Display additional attachments in the is... Closed

Related to Redmine - Feature #25925: Fold away "Change properties" when addin... New

Blocked by Redmine - Patch #29033: Move attachments to their own section in i... Closed

Blocked by Redmine - Patch #29263: Move issue attributes to their own section... New

History

#1 - 2018-06-14 22:58 - Marius BĂLTEANU

- Related to Patch #29033: Move attachments to their own section in issue page added

#2 - 2018-06-14 22:59 - Marius BĂLTEANU

- Related to Feature #29027: Add more structure to the issues view by using tabs added

#3 - 2018-06-15 07:07 - Bernhard Rohloff

- File small_screen.jpg added

First of all, this is overall a nice feature and I would be glad to have at least one option accepted.

If I could choose I would be in favor of the second option even if it leads to more changes. Like in #29033 the 'Attributes' heading gives the view more

structure and divides the issue in logical sections. I think it gives the issue a nice looking header bar on top, too. The second advantage is that if the

attributes page is collapsed it would release space to look at the other sections and don't have to scroll up and down to get to my information,

especially on issues with many attributes. This could make a huge difference for people like me who are sitting in front of a Chromebook or small

laptop with a lower resolution.

 small_screen.jpg 

As you can see the attributes section takes around 30% of the space dedicated to the issues information.

So plus one for the proposal and plus one for option 2.

+1

#4 - 2018-07-04 23:28 - Marius BĂLTEANU

- File 0001-option-to-collapse-expand-issue-description-files-fu.patch added

Here is a patch that can be applied on top of #29033 and can be used to test this expand/collapse feature. If the feedback is positive, I'll add another

patch that moves the attributes to their own section (like in the second proposal) and another one to memorise the state of the section using local

storage.
#5 - 2018-07-23 23:12 - Marius BĂLTEANU

- Related to Patch #29263: Move issue attributes to their own section in issue page added

#6 - 2018-07-24 00:20 - Marius BĂLTEANU

- File 0001-add-expand-collpase-for-issue-attributes.patch added

- File 0002-adds-some-padding-to-issue-section-content.patch added

The attached patches:

- add the expand/collapse also for the issue attributes section

- add a 15x padding

With these 2 patches, my second proposal is almost ready.

Still on my to do list:

memorise the state of the section using local storage

add an option to expand/collapse all sections. Here I'll be happy to receive some UI proposals.

Please be aware that these patches base on #29263.

#7 - 2018-07-24 00:21 - Marius BĂLTEANU

- Related to deleted (Patch #29033: Move attachments to their own section in issue page)

#8 - 2018-07-24 00:21 - Marius BĂLTEANU

- Blocked by Patch #29033: Move attachments to their own section in issue page added

#9 - 2018-07-24 00:21 - Marius BĂLTEANU

- Related to deleted (Patch #29263: Move issue attributes to their own section in issue page)

#10 - 2018-07-24 00:21 - Marius BĂLTEANU

- Blocked by Patch #29263: Move issue attributes to their own section in issue page added

#11 - 2018-07-27 14:09 - Bernhard Rohloff

Thanks for the patches Marius!

The patches from #29033 and #29263 applied flawlessly and look good to me.

Somehow the patch 0002-adds-some-padding-to-issue-section-content.patch refuses to apply in my environment.

Could you please check if its applying cleanly on your side?

#12 - 2018-07-27 16:47 - Bernhard Rohloff

I also think there's some additional JavaScript magic necessary, isn't it?

Something like in source:trunk/app/views/versions/index.html.erb#L89 ...

#13 - 2018-07-27 17:59 - Marius BĂLTEANU

Bernhard Rohloff wrote:

Could you please check if its applying cleanly on your side?

 Thanks for testing it. Yes, I'll take a look these days.

I also think there's some additional JavaScript magic necessary, isn't it?

Something like in source:trunk/app/views/versions/index.html.erb#L89 ...

 I'm not sure for why do you think that we need some additional JS magic. My fist patch

(0001-option-to-collapse-expand-issue-description-files-fu.patch) already adds a new JS function to manage the toggles.

#14 - 2018-07-28 07:50 - Bernhard Rohloff

- File issues_collapsible_category.png added

Oh my, I shouldn't test patches after a hot summer day at work.

I totally oversaw the first patch. If it's applied everything else applies properly,too.

And so far it works great!
On the collapse/expand all subject it's perhaps a good idea to make it similar to the existing feature in the issues list where you can expand/collapse

all categories at once. I think this would be a very consistent experience.

 issues_collapsible_category.png 

#15 - 2018-08-05 01:48 - Go MAEDA

- Related to Feature #29321: Move the watchers list to issue section added

#16 - 2018-10-03 05:03 - Go MAEDA

- Related to Feature #11988: Display additional attachments in the issue history only added

#17 - 2019-03-29 08:28 - Edgars Batna

Space savers are definitely welcome.

#18 - 2019-03-29 08:30 - Go MAEDA

- Target version set to Candidate for next major release

#19 - 2019-04-30 11:38 - Go MAEDA

- Related to Feature #25925: Fold away "Change properties" when adding an issue note added

#20 - 2019-05-12 01:36 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#21 - 2019-06-20 10:26 - Jean-Philippe Lang

- Target version changed from 4.1.0 to Candidate for next minor release

I think we actually save space when we can collapse some sections by default. Having to collpase sections manually to save space each time we

display an issue doesn't sound so much usefull to me.

Can we have more feedback on this proposed change?

#22 - 2023-11-02 11:09 - Dmitry Beloglazov

+1 for this feature, would be really nice to have.

I think we actually save space when we can collapse some sections by default

 It probably makes sense to collapse the files section by default. Usually the user downloads the files when they start working on the issue and they

don't need to see the full list after that.

#23 - 2024-05-17 16:19 - Dmitry Nekrasov

- File Снимок экрана 2024-05-17 в 17.19.14.PNG added

+1

is it possible to add folding button at section name?

#24 - 2024-07-02 20:27 - Ricky Morse

Please! This would make adding comments much more obvious...

Files

expand_collapse.png 262 KB 2018-06-14 Marius BĂLTEANU

with_attributes.png 227 KB 2018-06-14 Marius BĂLTEANU

small_screen.jpg 520 KB 2018-06-15 Bernhard Rohloff

0001-option-to-collapse-expand-issue-description-files-fu.patch 6.21 KB 2018-07-04 Marius BĂLTEANU

0001-add-expand-collpase-for-issue-attributes.patch 967 Bytes 2018-07-23 Marius BĂLTEANU

0002-adds-some-padding-to-issue-section-content.patch 3.56 KB 2018-07-23 Marius BĂLTEANU

issues_collapsible_category.png 26.1 KB 2018-07-28 Bernhard Rohloff

Снимок экрана 2024-05-17 в 17.19.14.PNG 269 KB 2024-05-17 Dmitry Nekrasov

Powered by TCPDF (www.tcpdf.org)

2025-05-01 3/3

http://www.tcpdf.org

